IPhysics: CPhysicsBallSocket Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# CPhysicsBallSocket Class Reference

`#include <CPhysicsBallSocket.h>`

Inherits IPhysicsJoint.

List of all members.

## Public Member Functions

| CPhysicsBallSocket ()
| Empty constructor for the joint.
| ~CPhysicsBallSocket ()
void | init (NewtonWorld *world, SPhysicsBallSocketJoint *jnt)
| This function initializes the ball socket joint.
void | changeJointLimits (vector3df pin, f32 maxConeAngle, f32 maxTwistAngle)
| This function is used to change the limits of the ball socket.
void | setUserCallback (NewtonBallCallBack callback)
| This function is used to have a user joint callback.
vector3df | getForce ()
| This function is used to get the force applied on the joint.
vector3df | getAngle ()
| This function is used to get the current agle of the joint.
vector3df | getOmega ()
| This function is used to get the omega of the joint.
NewtonJoint * | getJoint ()
| This function returns a pointer to the newton joint object.

## Static Private Member Functions

static void _cdecl | ballCallback (const NewtonJoint *ball)

## Static Private Attributes

static vector3df | m_breakForce

## Constructor & Destructor Documentation

CPhysicsBallSocket::CPhysicsBallSocket | ( |  | ) |

Empty constructor for the joint.

CPhysicsBallSocket::~CPhysicsBallSocket | ( |  | ) |

The destructor is also empty as the joint destruction is handled by the IPhysicsJoint base class.

## Member Function Documentation

void CPhysicsBallSocket::init | ( | NewtonWorld * | world,
|  | SPhysicsBallSocketJoint * | jnt |
| ) |  |  |

This function initializes the ball socket joint.

void CPhysicsBallSocket::changeJointLimits | ( | vector3df | pin,
|  | f32 | maxConeAngle,
|  | f32 | maxTwistAngle |
| ) |  |  |

This function is used to change the limits of the ball socket.

void CPhysicsBallSocket::setUserCallback | ( | NewtonBallCallBack | callback | ) |

This function is used to have a user joint callback.

vector3df CPhysicsBallSocket::getForce | ( |  | ) |

This function is used to get the force applied on the joint.

vector3df CPhysicsBallSocket::getAngle | ( |  | ) |

This function is used to get the current agle of the joint.

vector3df CPhysicsBallSocket::getOmega | ( |  | ) |

This function is used to get the omega of the joint.

NewtonJoint * CPhysicsBallSocket::getJoint | ( |  | ) |

This function returns a pointer to the newton joint object.

Reimplemented from IPhysicsJoint.

void CPhysicsBallSocket::ballCallback | ( | const NewtonJoint * | ball | ) | `[static, private]`

Callback for the ball socket joint This callback handles the joint breaking.

## Member Data Documentation

vector3df CPhysicsBallSocket::m_breakForce`[static, private]`

Break force needed to break the join. This variable is declared static as it is called in static newton callbacks.

The documentation for this class was generated from the following files:

- C:/Documents and Settings/user/Desktop/IPhysics 1.5 Irr 1.2/source/CPhysicsBallSocket.h
- C:/Documents and Settings/user/Desktop/IPhysics 1.5 Irr 1.2/source/CPhysicsBallSocket.cpp